<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/mainwindow.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle"><div class="title">mainwindow.h File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="dataframe_8h_source.html">dataframe.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="graphs_8h_source.html">graphs.h</a>&quot;</code><br />
<code>#include &lt;QMainWindow&gt;</code><br />
<code>#include &lt;QGraphicsView&gt;</code><br />
<code>#include &lt;QWidget&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for mainwindow.h:</div>
<div class="dyncontent">
<div class="center"><img src="mainwindow_8h__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2mainwindow_8h" alt=""/></div>
<map name="aalat_za_analitiku_2src_2mainwindow_8h" id="aalat_za_analitiku_2src_2mainwindow_8h">
<area shape="rect" title=" " alt="" coords="972,5,1101,48"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="16,179,105,205"/>
<area shape="poly" title=" " alt="" coords="972,35,724,56,567,74,409,99,262,130,119,173,110,176,108,171,117,168,261,125,408,93,566,69,724,50,972,29"/>
<area shape="rect" href="graphs_8h.html" title=" " alt="" coords="1001,96,1072,123"/>
<area shape="poly" title=" " alt="" coords="1039,49,1039,80,1034,80,1034,49"/>
<area shape="rect" title=" " alt="" coords="130,179,202,205"/>
<area shape="poly" title=" " alt="" coords="972,37,833,53,644,80,430,120,321,145,215,173,207,176,206,170,213,168,319,140,428,115,643,75,833,48,972,32"/>
<area shape="rect" title=" " alt="" coords="2226,179,2338,205"/>
<area shape="poly" title=" " alt="" coords="1053,47,1088,86,1111,105,1138,120,1183,136,1237,147,1365,161,1512,166,1669,164,1977,157,2109,158,2214,168,2231,172,2230,177,2213,173,2109,164,1977,162,1669,170,1512,171,1364,167,1236,153,1182,141,1135,125,1108,110,1084,90,1049,50"/>
<area shape="rect" title=" " alt="" coords="1148,96,1253,123"/>
<area shape="poly" title=" " alt="" coords="1080,46,1162,86,1160,91,1078,51"/>
<area shape="rect" title=" " alt="" coords="5,261,116,288"/>
<area shape="poly" title=" " alt="" coords="63,206,63,246,58,246,58,206"/>
<area shape="rect" title=" " alt="" coords="525,261,591,288"/>
<area shape="poly" title=" " alt="" coords="94,203,118,211,227,233,336,249,510,267,509,273,335,254,226,238,117,216,92,208"/>
<area shape="rect" title=" " alt="" coords="809,261,878,288"/>
<area shape="poly" title=" " alt="" coords="92,203,118,211,258,230,451,247,793,268,793,273,450,252,258,236,117,216,91,208"/>
<area shape="poly" title=" " alt="" coords="1001,114,569,132,308,150,200,161,118,173,106,176,105,171,117,168,199,156,308,145,568,127,1000,109"/>
<area shape="poly" title=" " alt="" coords="1033,125,1007,170,986,195,961,216,932,228,893,239,796,256,692,267,606,273,605,268,692,262,795,250,892,234,930,223,958,211,982,191,1003,167,1029,122"/>
<area shape="poly" title=" " alt="" coords="1039,124,1031,167,1022,193,1006,215,981,236,952,251,894,269,893,264,950,246,978,231,1003,212,1017,190,1026,166,1033,123"/>
<area shape="poly" title=" " alt="" coords="1001,115,581,140,349,158,214,173,207,175,205,170,213,168,348,152,580,135,1000,110"/>
<area shape="rect" title=" " alt="" coords="1073,179,1192,205"/>
<area shape="poly" title=" " alt="" coords="1053,121,1108,167,1104,171,1050,125"/>
<area shape="rect" title=" " alt="" coords="1215,179,1362,205"/>
<area shape="poly" title=" " alt="" coords="1073,120,1235,171,1233,176,1072,125"/>
<area shape="rect" title=" " alt="" coords="1386,179,1535,205"/>
<area shape="poly" title=" " alt="" coords="1073,116,1092,120,1233,144,1374,168,1394,172,1392,177,1373,173,1232,149,1091,125,1072,121"/>
<area shape="rect" title=" " alt="" coords="1559,179,1725,205"/>
<area shape="poly" title=" " alt="" coords="1073,116,1092,120,1219,137,1319,144,1420,152,1548,168,1573,172,1572,178,1547,173,1419,157,1319,150,1219,142,1091,125,1072,122"/>
<area shape="rect" title=" " alt="" coords="1749,179,1895,205"/>
<area shape="poly" title=" " alt="" coords="1073,117,1092,120,1189,132,1272,139,1414,143,1556,148,1639,155,1737,168,1760,172,1759,177,1736,173,1639,160,1556,153,1414,149,1272,144,1189,138,1091,125,1072,122"/>
<area shape="rect" title=" " alt="" coords="1919,179,2058,205"/>
<area shape="poly" title=" " alt="" coords="1073,117,1092,120,1215,134,1320,141,1499,142,1679,145,1784,152,1908,168,1929,172,1928,177,1907,173,1783,158,1679,150,1499,148,1320,146,1215,139,1091,125,1072,122"/>
<area shape="poly" title=" " alt="" coords="1073,117,1092,120,1262,137,1406,143,1534,142,1653,138,1773,134,1900,135,2045,145,2214,168,2231,172,2230,177,2213,173,2044,150,1900,140,1773,139,1654,143,1534,147,1406,149,1261,143,1091,125,1072,122"/>
<area shape="rect" title=" " alt="" coords="2082,179,2202,205"/>
<area shape="poly" title=" " alt="" coords="1073,117,1092,120,1240,136,1366,142,1477,142,1581,140,1685,138,1796,139,1922,148,2070,168,2088,172,2087,177,2069,173,1922,154,1796,145,1685,143,1581,145,1477,148,1366,147,1239,141,1091,125,1072,122"/>
<area shape="rect" title=" " alt="" coords="226,179,370,205"/>
<area shape="poly" title=" " alt="" coords="1001,115,742,131,564,149,382,173,361,177,360,172,381,168,563,143,741,126,1000,110"/>
<area shape="rect" title=" " alt="" coords="394,179,522,205"/>
<area shape="poly" title=" " alt="" coords="1000,116,800,134,667,151,533,173,516,177,514,172,532,168,667,146,800,129,1000,111"/>
<area shape="rect" title=" " alt="" coords="545,179,731,205"/>
<area shape="poly" title=" " alt="" coords="1001,121,716,178,715,172,1000,115"/>
<area shape="rect" title=" " alt="" coords="755,171,948,213"/>
<area shape="poly" title=" " alt="" coords="1009,126,914,167,912,162,1006,121"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="mainwindow_8h__dep__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2mainwindow_8hdep" alt=""/></div>
<map name="aalat_za_analitiku_2src_2mainwindow_8hdep" id="aalat_za_analitiku_2src_2mainwindow_8hdep">
<area shape="rect" title=" " alt="" coords="5,5,134,48"/>
<area shape="rect" href="mainwindow_8cpp.html" title=" " alt="" coords="5,96,134,139"/>
<area shape="poly" title=" " alt="" coords="72,64,72,96,67,96,67,64"/>
</map>
</div>
</div>
<p><a href="mainwindow_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_main_window.html">MainWindow</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespace_ui" id="r_namespace_ui"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_ui.html">Ui</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
